Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginGene

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginGene

    public class PluginGene

extends PluginSBase

This class represents gene.

Author:

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`protected` | `PluginGene()` Constructor
`protected` | `PluginGene(java.lang.String extensionId)` Constructor

Method Summary
`void` | `addPluginModificationRegion(PluginModificationRegion residue)` Adds a PluginModificationRegion to the list.
`java.lang.String` | `getExtensionId()`
`PluginListOf` | `getListOfPluginRegion()`
`java.lang.String` | `getName()`
`int` | `getNumRegions()`
`PluginModificationRegion` | `getPluginModificationRegion(int index)` Gets the PluginModificationRegion with the given index.
`java.lang.String` | `getType()`
`void` | `removePluginModificationRegion(int index)` Removes the PluginModificationRegion with the given index from the list.
`void` | `removePluginModificationRegion(PluginModificationRegion residue)` Removes the given PluginModificationRegion from the list.
`void` | `setListOfPluginRegion(PluginListOf listOfPluginRegion)` Sets the list of PluginModificationRegion of this PluginGene.
`void` | `setName(java.lang.String name)` Sets the name of this PluginGene.
`void` | `setType(java.lang.String type)` Sets the type of this PluginGene.
`void` | `update(PluginGene rna)` Update all properties of this PluginGene to the same as the given PluginGene.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginGene

    protected PluginGene()

  Constructor

### PluginGene

    protected PluginGene(java.lang.String extensionId)

  Constructor

  Parameters:
    `extensionId` -

Method Detail

### update

    public void update(PluginGene rna)

  Update all properties of this PluginGene to the same as the given PluginGene.

  Parameters:
    `rna` - PluginGene

### getExtensionId

    public java.lang.String getExtensionId()

  Returns:
    the extensionId of this PluginGene.

### getName

    public java.lang.String getName()

  Returns:
    the name of this PluginGene.

### setName

    public void setName(java.lang.String name)

  Sets the name of this PluginGene.

  Parameters:
    `name` -

### getType

    public java.lang.String getType()

  Returns:
    the type of this PluginGene.

### setType

    public void setType(java.lang.String type)

  Sets the type of this PluginGene.

  Parameters:
    `type` -

### getListOfPluginRegion

    public PluginListOf getListOfPluginRegion()

  Returns:
    the list of PluginModificationRegion of this PluginGene

### setListOfPluginRegion

    public void setListOfPluginRegion(PluginListOf listOfPluginRegion)

  Sets the list of PluginModificationRegion of this PluginGene.

  Parameters:
    `listOfPluginRegion` -

### addPluginModificationRegion

    public void addPluginModificationRegion(PluginModificationRegion residue)

  Adds a PluginModificationRegion to the list.

  Parameters:
    `residue` -

### removePluginModificationRegion

    public void removePluginModificationRegion(PluginModificationRegion residue)

  Removes the given PluginModificationRegion from the list.

  Parameters:
    `residue` -

### removePluginModificationRegion

    public void removePluginModificationRegion(int index)

  Removes the PluginModificationRegion with the given index from the list.

  Parameters:
    `index` -

### getPluginModificationRegion

    public PluginModificationRegion getPluginModificationRegion(int index)

  Gets the PluginModificationRegion with the given index.

  Parameters:
    `index` -
  Returns:
    PluginModificationRegion

### getNumRegions

    public int getNumRegions()

  Returns:
    the number of PluginModificationRegion.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD